/*
 * I/O port base address of your parallel port the LCD panel
 * is connected to, uncomment one of the following or add your own
 */
/* #define LCD_ADDRESS 0x0378 */ /* corresponds to lpt1: on most PCs */
/* #define LCD_ADDRESS 0x0278 */ /* corresponds to lpt2: on most PCs */
#define LCD_ADDRESS 0x378        /* corresponds to my parport ;) */


/*
 * Display specific information
 */

/* number of columns and rows (lines) your display has */
#define LCD_COLS 40
#define LCD_LINES 8


/*
 * Some displays vary in their timing
 * There are two critical times needed by the driver, one short and one
 * a little longer. By experiment I have optimized for my display to the
 * following values. If your display looses characters or just displays
 * false characters try bigger values.
 * The specs say TIME_SHORT=100 TIME_LONG=100
 */
#define TIME_SHORT 40
#define TIME_LONG 100


/*
 * No user servicable parts below this line!
 */

/*
 * The major device ID for the driver
 */
#define LCD_MAJOR 120

/* Drop an error line if no appropriate hardware was found */
#ifndef LCD_ADDRESS
#error --== LCD_ADDRESS undefined, read hardware.h! ==--
#endif

